# FluidVaultT1Supply

### Description

Supply assets to Fluid Vault T1 (1\_col:1\_debt)

### Action ID

`0xaf5b03c0`

### SDK Action

```ts
const fluidVaultT1SupplyAction = new dfs.actions.fluid.FluidVaultT1SupplyAction(
    vault,
    nftId,
    amount,
    from,
    collToken
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param vault The address of the Fluid Vault T1
    /// @param nftId ID of the NFT representing the position
    /// @param amount Amount to supply
    /// @param from Address to pull the tokens from
    struct Params {
        address vault;
        uint256 nftId;
        uint256 amount;
        address from;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("FluidVaultT1Supply", logData);
logger.logActionDirectEvent("FluidVaultT1Supply", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/fluid/fluidvaultt1supply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
